# PhasicFlow: geometryMotion< MotionModelType > Class Template Reference

geometryMotion< MotionModelType > Class Template Reference
Inheritance diagram for geometryMotion< MotionModelType >:
[legend]
Collaboration diagram for geometryMotion< MotionModelType >:
[legend]

## Public Types

using | MotionModel = MotionModelType

## Public Member Functions

| TypeInfoTemplate ("geometry", MotionModel)
| geometryMotion (systemControl &control, const property &prop)
| geometryMotion (systemControl &control, const property &prop, const multiTriSurface &triSurface, const wordVector &motionCompName, const wordVector &propName, const MotionModel &motionModel)
| geometryMotion (systemControl &control, const property &prop, const dictionary &dict, const multiTriSurface &triSurface, const wordVector &motionCompName, const wordVector &propName)
| add_vCtor (geometry, geometryMotion, systemControl)
| add_vCtor (geometry, geometryMotion, dictionary)
auto | getModel (real t) const
word | motionModelTypeName () const override
const int8Vector_HD & | triMotionIndex () const override
const int8Vector_HD & | pointMotionIndex () const override
bool | beforeIteration () override
bool | iterate () override
bool | afterIteration () override
bool | moveGeometry ()
Public Member Functions inherited from geometry
| TypeInfo ("geometry")
| geometry (systemControl &control, const property &prop)
| geometry (systemControl &control, const property &prop, const multiTriSurface &triSurface, const wordVector &motionCompName, const wordVector &propName)
| geometry (systemControl &control, const property &prop, const dictionary &dict, const multiTriSurface &triSurface, const wordVector &motionCompName, const wordVector &propName)
virtual | ~geometry ()=default
| create_vCtor (geometry, systemControl,(systemControl &control, const property &prop),(control, prop))
| create_vCtor (geometry, dictionary,(systemControl &control, const property &prop, const dictionary &dict, const multiTriSurface &triSurface, const wordVector &motionCompName, const wordVector &propName),(control, prop, dict, triSurface, motionCompName, propName))
auto | size () const
auto | numPoints () const
auto | numTriangles () const
const auto & | points () const
const auto & | vertices () const
auto | getTriangleAccessor () const
auto & | surface ()
const auto & | surface () const
realx3TriSurfaceField_D & | contactForceWall ()
const realx3TriSurfaceField_D & | contactForceWall () const
const auto & | wallProperty () const
const repository & | owner () const
repository & | owner ()
auto | path ()
const int8TriSurfaceField_D & | propertyId () const
bool | write () const
Public Member Functions inherited from demGeometry
| demGeometry (systemControl &control)
Public Member Functions inherited from demComponent
| TypeInfo ("demComponent")
| demComponent (const word &name, systemControl &control)
virtual | ~demComponent ()=default
const auto & | control () const
auto & | control ()
real | dt () const
real | currentTime () const
auto & | timers ()
const auto & | timers () const

## Protected Member Functions

bool | findMotionIndex ()
Protected Member Functions inherited from geometry
bool | findPropertyId ()
void | zeroForce ()

## Protected Attributes

MotionModel & | motionModel_
int32Vector_HD | motionIndex_
int8Vector_HD | triMotionIndex_
int8Vector_HD | pointMotionIndex_
| motion index mapped on each point More...
Timer | moveGeomTimer_
Protected Attributes inherited from geometry
const property & | wallProperty_
repository & | geometryRepository_
multiTriSurface & | triSurface_
wordField & | motionComponentName_
wordField & | materialName_
int8TriSurfaceField_D & | propertyId_
realx3TriSurfaceField_D & | contactForceWall_
realx3TriSurfaceField_D & | stressWall_
Protected Attributes inherited from demComponent
word | componentName_
systemControl & | control_
Timers | timers_

## Additional Inherited Members

Static Public Member Functions inherited from geometry
static uniquePtr< geometry > | create (systemControl &control, const property &prop)
static uniquePtr< geometry > | create (systemControl &control, const property &prop, const dictionary &dict, const multiTriSurface &triSurface, const wordVector &motionCompName, const wordVector &propName)

## Detailed Description

### template<typename MotionModelType>
class pFlow::geometryMotion< MotionModelType >

Definition at line 34 of file geometryMotion.hpp.

## Member Typedef Documentation

## MotionModel

using MotionModel = MotionModelType

Definition at line 40 of file geometryMotion.hpp.

## Constructor & Destructor Documentation

## geometryMotion() [1/3]

geometryMotion | ( | systemControl & | control,
|  | const property & | prop
| ) |  |

Definition at line 93 of file geometryMotion.cpp.

## geometryMotion() [2/3]

geometryMotion | ( | systemControl & | control,
|  | const property & | prop,
|  | const multiTriSurface & | triSurface,
|  | const wordVector & | motionCompName,
|  | const wordVector & | propName,
|  | const MotionModel & | motionModel
| ) |  |

Definition at line 116 of file geometryMotion.cpp.

## geometryMotion() [3/3]

geometryMotion | ( | systemControl & | control,
|  | const property & | prop,
|  | const dictionary & | dict,
|  | const multiTriSurface & | triSurface,
|  | const wordVector & | motionCompName,
|  | const wordVector & | propName
| ) |  |

Definition at line 150 of file geometryMotion.cpp.

## Member Function Documentation

## findMotionIndex()

bool findMotionIndex

protected

Definition at line 54 of file geometryMotion.cpp.

References ForAll.

## TypeInfoTemplate()

TypeInfoTemplate | ( | "geometry" | ,
|  | MotionModel |
| ) |  |

## add_vCtor() [1/2]

add_vCtor | ( | geometry | ,
|  | geometryMotion< MotionModelType > | ,
|  | systemControl |
| ) |  |

## add_vCtor() [2/2]

add_vCtor | ( | geometry | ,
|  | geometryMotion< MotionModelType > | ,
|  | dictionary |
| ) |  |

## getModel()

auto getModel | ( | real | t | ) | const

inline

Definition at line 107 of file geometryMotion.hpp.

References geometryMotion< MotionModelType >::motionModel_.

## motionModelTypeName()

word motionModelTypeName | ( |  | ) | const

inlineoverridevirtual

Implements geometry.

Definition at line 112 of file geometryMotion.hpp.

References geometryMotion< MotionModelType >::motionModel_.

## triMotionIndex()

const int8Vector_HD& triMotionIndex | ( |  | ) | const

inlineoverridevirtual

Implements geometry.

Definition at line 117 of file geometryMotion.hpp.

References geometryMotion< MotionModelType >::triMotionIndex_.

## pointMotionIndex()

const int8Vector_HD& pointMotionIndex | ( |  | ) | const

inlineoverridevirtual

Implements geometry.

Definition at line 122 of file geometryMotion.hpp.

References geometryMotion< MotionModelType >::pointMotionIndex_.

## beforeIteration()

bool beforeIteration | ( |  | ) |

inlineoverridevirtual

Reimplemented from geometry.

Definition at line 128 of file geometryMotion.hpp.

References geometry::beforeIteration().

Here is the call graph for this function:

## iterate()

bool iterate

overridevirtual

Implements demComponent.

Definition at line 184 of file geometryMotion.cpp.

## afterIteration()

bool afterIteration | ( |  | ) |

inlineoverridevirtual

Reimplemented from geometry.

Definition at line 135 of file geometryMotion.hpp.

References geometry::afterIteration().

Here is the call graph for this function:

## moveGeometry()

bool moveGeometry

Definition at line 22 of file geometryMotion.cpp.

References LAMBDA_HD.

## Member Data Documentation

## motionModel_

MotionModel& motionModel_

protected

Definition at line 45 of file geometryMotion.hpp.

Referenced by geometryMotion< MotionModelType >::getModel(), and geometryMotion< MotionModelType >::motionModelTypeName().

## motionIndex_

int32Vector_HD motionIndex_

protected

Definition at line 48 of file geometryMotion.hpp.

## triMotionIndex_

int8Vector_HD triMotionIndex_

protected

Definition at line 51 of file geometryMotion.hpp.

Referenced by geometryMotion< MotionModelType >::triMotionIndex().

## pointMotionIndex_

int8Vector_HD pointMotionIndex_

protected

motion index mapped on each point

Definition at line 54 of file geometryMotion.hpp.

Referenced by geometryMotion< MotionModelType >::pointMotionIndex().

## moveGeomTimer_

Timer moveGeomTimer_

protected

Definition at line 57 of file geometryMotion.hpp.

The documentation for this class was generated from the following files:

- src/Geometry/geometryMotion/geometryMotion.hpp
- src/Geometry/geometryMotion/geometryMotion.cpp